using System.Numerics;
using Nethereum.ABI.FunctionEncoding.Attributes;
using Nethereum.Contracts;

namespace Frontend.Functions;

[Function("approve")]
public class ApproveFunction : FunctionMessage
{
    [Parameter("address", "spender", 1)]
    public string? Spender { get; set; }

    [Parameter("uint256", "value", 2)]
    public BigInteger Value { get; set; }
}
